Imports Adjustment Opening Hours for specified stores.
curl --request POST \
--url https://{host}/store/v3/Stores/adjustments/import \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--data '
[
{
"storeId": "<string>",
"openingHour": "00:00:00",
"closingHour": "00:00:00",
"adjustmentDate": "2023-11-07T05:31:56Z",
"label": "<string>",
"isClosedAllDay": true,
"isOpenedAllDay": true
}
]
'import requests
url = "https://{host}/store/v3/Stores/adjustments/import"
payload = [
{
"storeId": "<string>",
"openingHour": "00:00:00",
"closingHour": "00:00:00",
"adjustmentDate": "2023-11-07T05:31:56Z",
"label": "<string>",
"isClosedAllDay": True,
"isOpenedAllDay": True
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify([
{
storeId: '<string>',
openingHour: '00:00:00',
closingHour: '00:00:00',
adjustmentDate: '2023-11-07T05:31:56Z',
label: '<string>',
isClosedAllDay: true,
isOpenedAllDay: true
}
])
};
fetch('https://{host}/store/v3/Stores/adjustments/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"name": "<string>",
"message": "<string>",
"details": null
}
]
}{
"errors": [
{
"name": "<string>",
"message": "<string>",
"details": null
}
]
}Imports Adjustment Opening Hours for specified stores.
POST
/
v3
/
Stores
/
adjustments
/
import
Imports Adjustment Opening Hours for specified stores.
Authorizations
Query Parameters
Import mode specifies full import or incremental import.
Available options:
Incremental, Full Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Collection of Adjustment Opening Hours linked to stores.
Response
OK
Show child attributes
Show child attributes
Last modified on August 10, 2026
⌘I